﻿


.selectbox_with_image {
    position: relative;
}

.selectbox_with_image .vodiapicker {
    display: none;
}

.selectbox_with_image .btn-select {
    width: 100%;
    height: 40px;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    background-color: #fff;
    padding: 0 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

    .selectbox_with_image .btn-select:after {
        content: "";
        width: 0;
        height: 0;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-top: 5px solid #000;
        margin-left: 5px;
    }

    .selectbox_with_image .btn-select:hover {
        border-color: #b3b3b3;
    }

    .selectbox_with_image .btn-select:active {
        border-color: #808080;
    }

    .selectbox_with_image .btn-select .flag {
        width: 30px;
        height: 30px;
        border-radius: 50%;
        margin-right: 10px;
    }

        .selectbox_with_image .btn-select .flag img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            border-radius: 50%;
        }

    .selectbox_with_image .btn-select .lang {
        font-size: 14px;
        font-weight: 500;
        color: #000;
    }

.selectbox_with_image .b {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    background-color: #fff;
    z-index: 999;
    display: none;
}

    .selectbox_with_image .b ul {
        padding: 0;
        margin: 0;
        list-style: none;
    }

        .selectbox_with_image .b ul li {
            list-style: none;
            padding: 10px 10px;
            display: flex;
            align-items: center;
            cursor: pointer;
        }

            .selectbox_with_image .b ul li:hover {
                background-color: #f5f5f5;
            }

            .selectbox_with_image .b ul li .flag {
                width: 30px;
                height: 30px;
                border-radius: 50%;
                margin-right: 10px;
            }

                .selectbox_with_image .b ul li .flag img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    border-radius: 50%;
                }

            .selectbox_with_image .b ul li .lang {
                font-size: 14px;
                font-weight: 500;
                color: #000;
            }

.selectbox_with_image .lang-select img {
}

.btn-select li {
    list-style: none;
    padding: 10px 10px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.selectbox_with_image li img {
    margin-right: 10px;
}

.modal_wrapper {
    display: none;
    position: fixed;
    z-index: 9999999999 !important;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0 0 0 / 80%);
}

    .modal_wrapper .welcome_language_selector_modal {
        background-color: #F4F4F4;
        margin: 15% auto;
        padding: 20px;
        border: 1px solid #888;
        width: 70%;
    }

        .modal_wrapper .welcome_language_selector_modal .modal_header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

            .modal_wrapper .welcome_language_selector_modal .modal_header h4 {
                margin: 0;
            }

        .modal_wrapper .welcome_language_selector_modal .modal_body {
            margin-top: 20px;
        }

            .modal_wrapper .welcome_language_selector_modal .modal_body p {
                margin: 0;
            }

            .modal_wrapper .welcome_language_selector_modal .modal_body .form-group {
                margin-top: 20px;
            }

                .modal_wrapper .welcome_language_selector_modal .modal_body .form-group label {
                    display: block;
                    margin-bottom: 5px;
                }

                .modal_wrapper .welcome_language_selector_modal .modal_body .form-group select {
                    width: 100%;
                }

        .modal_wrapper .welcome_language_selector_modal .modal_footer {
            margin-top: 20px;
            display: flex;
            justify-content: flex-end;
        }

            .modal_wrapper .welcome_language_selector_modal .modal_footer button {
                margin-left: 10px;
            }

                .modal_wrapper .welcome_language_selector_modal .modal_footer button:first-child {
                    margin-left: 0;
                }

.modal_body .centered_logo {
    display: flex;
    justify-content: center;
    align-items: center;
}

    .modal_body .centered_logo img {
        border-radius: 50%;
        width: 100px;
        height: 100px;
    }

.modal_body .form-group .full_width {
    width: 100%;
    text-align: center;
    font-weight: bold;
}

.modal_body .form-group .full_btn {
    width: 100%;
    text-align: center;
    margin-top: 20px;
}


#language_selector_submit {
    padding-top: 10px;
    width: 100%;
    text-align: center;
}

.filter-gallery-scroll {
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch; /* iOS için kaydırma yumuşaklığı */
    background: #fff;
    padding: 5px;
}

.filter-gallery {
    display: inline-flex;
    gap: 10px; /* Butonlar arası boşluk */
    padding-bottom: 5px;
}

.filter-button {
    white-space: nowrap; /* Taşma olmasın */
    flex-shrink: 0;
}

.row-filter {
    position: sticky;
    top: 0;
    z-index: 999;
    background: #fff; /* Arka plan vermezsen arkasındaki içerikler görünebilir */
    padding: 10px 0;
}

.single-page-section {
    margin-bottom: 0px;
    display: block;
}

.gallery-section .filter-button {
    color: var(--theme-color-1);
    background: transparent;
    padding: 8px 16px 8px 16px;
    font-weight: 600;
    margin-bottom: 5px;
    border: 1px solid #c6c1c1;
    background: #ffffff;
    border-radius: 8px;
}


